For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign in
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
    • Overview
    • Authentication
  • REST
      • POSTCreate Page
      • GETList Pages
      • GETGet Page
      • PATCHUpdate Page
      • DELDelete Page
Sign in
LogoLogo
RESTPages

Delete Page

DELETE
https://api.makeswift.com/v6/pages/:pageIdOrPathname
DELETE
/v6/pages/:pageIdOrPathname
$curl -X DELETE https://api.makeswift.com/v6/pages/pageIdOrPathname \
> -H "x-api-key: <apiKey>"
Deletes a page.
Was this page helpful?
Previous

Update Page

Next

Changelog

Built with

Authentication

x-api-keystring

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path parameters

pageIdOrPathnamestringRequired
The page ID or pathname for the page you are deleting.

Query parameters

siteIdstringOptionalformat: "uuid"
The site ID required when using a pathname instead of a page ID.

Response

The response that indicates success when the page is deleted.

Errors

403
Forbidden Error